ServerEvents.recipes(event => {

//basic
	event.replaceInput({ output: 'mekanism:electrolytic_core' }, 'mekanism:alloy_infused', 'minecraft:iron_ingot')
	event.replaceInput({ type: 'enderio:slicing' }, 'enderio:energetic_alloy_ingot', 'enderio:soularium_ingot')
	event.remove({ id: 'tconstruct:smeltery/casting/ender/pearl' })
	event.remove({ id: 'enderio:alloy_smelting/ender_pearl' })

	//Tanks
	event.remove({ output: 'mekanism:basic_fluid_tank' })
	event.shaped('mekanism:basic_fluid_tank', [
		'ASA',
		'STS',
		'ASA'
	], {
		S: 'immersiveengineering:ingot_steel',
		T: 'create:fluid_tank',
		A: 'mekanism:basic_control_circuit'
	})
	event.remove({ output: 'mekanism:advanced_fluid_tank' })
	event.shaped('mekanism:advanced_fluid_tank', [
		'ASA',
		'STS',
		'ASA'
	], {
		S: 'immersiveengineering:ingot_steel',
		T: 'mekanism:basic_fluid_tank',
		A: 'mekanism:alloy_infused'
	})
	event.remove({ output: 'mekanism:elite_fluid_tank' })
	event.shaped('mekanism:elite_fluid_tank', [
		'ASA',
		'STS',
		'ASA'
	], {
		S: 'immersiveengineering:ingot_steel',
		T: 'mekanism:advanced_fluid_tank',
		A: 'mekanism:alloy_reinforced'
	})
	event.remove({ output: 'mekanism:ultimate_fluid_tank' })
	event.shaped('mekanism:ultimate_fluid_tank', [
		'ASA',
		'STS',
		'ASA'
	], {
		S: 'enderio:dark_steel_ingot',
		T: 'mekanism:elite_fluid_tank',
		A: 'mekanism:alloy_atomic'
	})

	event.shaped('mekanism:basic_chemical_tank', [
		'ABA', 
		'B B',
		'ABA'  
		],{
		A: 'immersiveengineering:ingot_steel', 
		B: 'mekanism:ingot_osmium'
	})

	//machines
	event.remove({output: 'mekanism:precision_sawmill'})
	event.shaped('mekanism:precision_sawmill', [
		'EDE', 
		'BAB',
		'ECE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:basic_control_circuit',
		C: 'thermal:machine_sawmill',
		D: 'thermal:saw_blade',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:energized_smelter'})
	event.shaped('mekanism:energized_smelter', [
		'ECE', 
		'BAB',
		'ECE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:basic_control_circuit',
		C: 'thermal:machine_furnace',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:crusher'})
	event.shaped('mekanism:crusher', [
		'ECE', 
		'BAB',
		'ECE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:basic_control_circuit',
		C: 'create:crushing_wheel',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:purification_chamber'})
	event.shaped('mekanism:purification_chamber', [
		'EDE', 
		'BAB',
		'ECE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:basic_control_circuit',
		C: 'actuallyadditions:empowered_emeradic_crystal',
		D: 'create:propeller',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:electrolytic_separator'})
	event.shaped('mekanism:electrolytic_separator', [
		'ECE', 
		'BAB',
		'ECE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:basic_control_circuit',
		C: 'mekanism:electrolytic_core',
		E: 'mekanism:ingot_osmium'
	})

//advanced

	event.remove({output: 'mekanism:chemical_oxidizer'})
	event.shaped('mekanism:chemical_oxidizer', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:advanced_control_circuit',
		C: 'thermal:blizz_rod',
		D: 'mekanism:basic_chemical_tank',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:pressurized_reaction_chamber'})
	event.shaped('mekanism:pressurized_reaction_chamber', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:advanced_control_circuit',
		C: 'mekanism:dynamic_tank',
		D: 'mekanism:basic_chemical_tank',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'ae2:condenser'})
	event.shaped('ae2:condenser', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:advanced_control_circuit',
		C: 'enderio:ender_resonator',
		D: 'mekanism:pressure_disperser',
		E: 'kubejs:reality_alloy'
	})

//elite

	event.remove({output: 'mekanism:chemical_injection_chamber'})
	event.shaped('mekanism:chemical_injection_chamber', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:elite_control_circuit',
		C: 'enderio:ender_resonator',
		D: 'enderio:impulse_hopper',
		E: 'mekanism:ingot_osmium'
	})

	event.remove({output: 'mekanism:antiprotonic_nucleosynthesizer'})
	event.shaped('mekanism:antiprotonic_nucleosynthesizer', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:elite_control_circuit',
		C: 'mekanism:pellet_antimatter',
		D: 'kubejs:overclocked_clock',
		E: 'mekanism:ingot_osmium'
	})

//ultimate

	event.remove({output: 'mekanism:combiner'})
	event.shaped('mekanism:combiner', [
		'ECE', 
		'BAB',
		'EDE'  
		],{
		A: 'mekanism:steel_casing', 
		B: 'mekanism:ultimate_control_circuit',
		C: 'mekanism:pellet_antimatter',
		D: 'thermal:machine_crafter',
		E: 'mekanism:ingot_osmium'
	})

//Box
	event.remove({ output: 'mekanism:cardboard_box' })
	event.shaped('mekanism:cardboard_box', [
		'csc',
		's s',
		'csc'
	], {
		c: 'create:cardboard',
		s: '#forge:sawdust'
	})
//soul fuse QOL alt
	event.custom({
		"type": "tconstruct:casting_table",
		"cast": {
			"item": "kubejs:empty_fuse"
		},
		"cast_consumed": true,
		"cooling_time": 89,
		"fluid": {
			"amount": 250,
			"tag": "tconstruct:liquid_soul"
		},
		"result": "kubejs:soul_fuse"
	})
	
	event.custom({
  		"type": "mekanism:enriching",
  		"input": {
    		"ingredient": {
   		   	"tag": "forge:dusts/coal"
   		 	}
  		},
		  "output": {
    		"item": "minecraft:coal"
  		}
	})
	event.custom({"type":"mekanism:combining",
		"extraInput":{"ingredient":{"item":"minecraft:infested_chiseled_stone_bricks"}},
		"mainInput":{"amount":1,"ingredient":{"item":"enderio:filled_soul_vial"}},
		"output":{"item":"moyai:moyai"}
	})
	/*
	event.custom({
	  	"type": "mekanism:nucleosynthesizing",
	  	"duration": 1000,
	  	"gasInput": {
	    	"amount": 1,
	    	"gas": "mekanism:antimatter"
	  	},
	  	"itemInput": {
	    	"ingredient": {
	      		"item": "minecraft:infested_chiseled_stone_bricks"
	    	}
	  	},
	  	"output": {
	    	"item": "moyai:moyai"
		}
	}) */
})